動作環境

Magic3は標準的なLAMP,LEMP環境で動作します。

  • OS: Linux(特に制約なし)
  • WWWサーバ: ApacheまたはNginx、バージョンの制約は特になし
  • スクリプトエンジン: PHP7以上(PHP5.3以上であれば動作可能)
  • DB: MySQL5以上またはPostgreSQL8以上

環境構築

手早く環境を構築する方法を用意しています。(サイト構築/環境構築)

環境の修正

  • MySQL5.5以降は主にMariaDBに対応していますが、MySQL5.6でも動作します。
    MySql5.6で動作させるには追加の設定が必要です。→トラブルシューティング

2019-12-02 (月) 08:07:30 (4d)